Subject: Re: Remove icomplete workaround

From: Aaron Jensen <[email-masked]>
Date: Sun, 31 Oct 2021 23:55:49 -0400

On Sun, Oct 31, 2021 at 10:38 PM Stefan Monnier
<[email-masked]> wrote:
>
> Aaron Jensen [2021-10-31 20:49:23] wrote:
> > Originally added because of: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38024
> >
> > The reason this fixed things was not captured and I can not reproduce
> > the bug with the fix disabled on master.
> >
> > This workaround has been copied to other libraries without clear
> > understanding of why it existed in the first place and it caused a
> > problem: https://github.com/minad/vertico/issues/115#issuecomment-947330581
> >
> > Would it be possible to remove it? I'm ccing the original reporter and
> > fixer in case they are able to shed more light on this or test without
> > the fix to see if they can reproduce it.
> >
> > I've attached a patch if we are good to remove it.
>
> Thanks, I just pushed your patch to `master`.
> We'll see if the problem comes back, and if so, we'll have to try and
> fix it better.

Great, thank you!